#!/bin/sh


CHECKWWWDIR=/home/martijn/projects/checkwww

if [ ! -f $CHECKWWWDIR/scripts/checkall.sh ] ; then
 echo Please set CHECKWWWDIR to the correct location in checkwww.sh
 exit
fi



usage() {
   echo "checkwww           - without arguments will check your"
   echo "                     sites for changes"
   echo "checkwww add <url> - adds the url to the list to watch"
   echo "checkwww del <url> - removes the url"
   echo "checkwww list      - lists urls"
   echo "checkwww help      - prints this help text"
}


checkapps() {
  tcc -v > /dev/null 2> /dev/null
  notcc=$?
  
  crc32  > /dev/null 2> /dev/null
  nocrc32=$?
  
  tempfile  > /dev/null 2> /dev/null
  notempfile=$?
  
  wget -V > /dev/null 2> /dev/null
  nowget=$?

  firefox -v > /dev/null 2> /dev/null
  nofirefox=$?


  shouldabort=0

  if [ ! $notcc == 0 ] ; then
    shouldabort=1
    echo Please install tcc, the c interpreter
  fi

  if [ ! $nocrc32 == 0 ] ; then
    shouldabort=1
    echo Please install the crc32 command
  fi

  if [ ! $notempfile == 0 ] ; then
    shouldabort=1
    echo Please install the tempfile command
  fi

  if [ ! $nowget == 0 ] ; then
    shouldabort=1
    echo Please install wget
  fi

  if [ ! $nofirefox == 0 ] ; then
    shouldabort=1
    echo Please install Firefox
  fi


  if [ shouldabourt == 1 ] ; then
    exit
  fi



}


pushd $CHECKWWWDIR > /dev/null

checkapps

nrargs=$#

if [ $nrargs == "0" ] ; then
 scripts/checkall.sh
 exit
fi

case $1 in

    add)
        scripts/add.sh $2
        ;;
    del)
        scripts/del.sh $2
        ;;

    list)
        scripts/list.sh
        ;;
        
    help|*)
        usage
        ;;
esac

popd > /dev/null
